import { Prisma } from '@prisma/client';
import { prisma } from '../db/prisma';

export type UtilisateurAvecRole = Prisma.UtilisateurGetPayload<{ include: { role: true } }>;

export function findByEmail(email: string): Promise<UtilisateurAvecRole | null> {
  return prisma.utilisateur.findUnique({
    where: { email },
    include: { role: true },
  });
}
